<div class="page-col-contact-form" {{did-insert this.setup}}>
  <Container {{did-insert this.setup}} {{did-update this.setup @value}} @value={{this.value.container}}
    @deviceSize={{@deviceSize}} class="use-highlights btn-submit-container" data-name={{@value.name}}
    data-gid={{@value.gid}} data-path="{{this.path}}.container" ...attributes>

    <div class="d-none" data-name={{@value.name}} data-gid={{@value.gid}} data-path="{{@path}}.data.form"
      data-editor="contact-form" data-type="contact-form" {{on "props-update" this.updateFormProps}}></div>

    {{#if (and @isEditor (not @value.data.form.sendTo))}}
      <div class="alert alert-danger" role="alert">
        {{t "missing-send-to"}}
      </div>
    {{/if}}

    {{#if this.showInput}}
      <div class="{{if this.inputGroup 'input-group'}}">
        {{#if this.floatingLabels}}
          <div class="form-floating mb-3">
            <Input @value={{this.name}} @type="text" class="form-control contact-name" id="{{this.elementId}}-name"
              placeholder={{this.nameLabel}} />
            <label for="{{this.elementId}}-name">{{this.nameLabel}}</label>
          </div>
        {{else}}

          <TextWithOptions @deviceSize={{@deviceSize}} @options={{this.label}} @isEditor={{@isEditor}}
            @tag="label" {{on "props-update" this.updateLabelProps}} data-path="{{@path}}.data.label"
            data-text-value="false" data-name={{@value.name}} data-gid={{@value.gid}}>{{this.nameLabel}}
          </TextWithOptions>


          <Input @value={{this.name}} @type="text" class="form-control contact-name mb-3" id="{{this.elementId}}-name"
            placeholder="Taylor Doe" />
        {{/if}}

        {{#if this.floatingLabels}}
          <div class="form-floating mb-3">
            <Input @value={{this.email}} @type="email" class="form-control contact-email" id="{{this.elementId}}-email"
              placeholder="name@example.com" />
            <label for="{{this.elementId}}-email">{{this.emailLabel}}</label>
          </div>
        {{else}}
          <TextWithOptions @deviceSize={{@deviceSize}} @options={{this.label}} @isEditor={{@isEditor}}
            @tag="label" {{on "props-update" this.updateLabelProps}} data-path="{{@path}}.data.label"
            data-text-value="false" data-name={{@value.name}} data-gid={{@value.gid}}>{{this.emailLabel}}
          </TextWithOptions>

          <Input @value={{this.email}} @type="email" class="form-control contact-email mb-3"
            id="{{this.elementId}}-email" placeholder="name@example.com" />
        {{/if}}

        {{#if this.floatingLabels}}
          <div class="form-floating mb-3">
            <Input @value={{this.subject}} @type="text" class="form-control contact-subject"
              id="{{this.elementId}}-subject" placeholder={{this.subjectLabel}} />
            <label for="{{this.elementId}}-subject">{{this.subjectLabel}}</label>
          </div>
        {{else}}
          <TextWithOptions @deviceSize={{@deviceSize}} @options={{this.label}} @isEditor={{@isEditor}}
            @tag="label" {{on "props-update" this.updateLabelProps}} data-path="{{@path}}.data.label"
            data-text-value="false" data-name={{@value.name}} data-gid={{@value.gid}}>{{this.subjectLabel}}
          </TextWithOptions>
          <Input @value={{this.subject}} @type="text" class="form-control contact-subject mb-3"
            id="{{this.elementId}}-subject" />
        {{/if}}

        {{#if this.floatingLabels}}
          <div class="form-floating mb-3">
            <Textarea @value={{this.message}} class="form-control contact-message" id="{{this.elementId}}-message"
              placeholder={{this.messageLabel}} />
            <label for="{{this.elementId}}-message">{{this.messageLabel}}</label>
          </div>
        {{else}}
          <TextWithOptions @deviceSize={{@deviceSize}} @options={{this.label}} @isEditor={{@isEditor}}
            @tag="label" {{on "props-update" this.updateLabelProps}} data-path="{{@path}}.data.label"
            data-text-value="false" data-name={{@value.name}} data-gid={{@value.gid}}>{{this.messageLabel}}
          </TextWithOptions>
          <Textarea @value={{this.message}} class="form-control contact-message mb-3" id="{{this.elementId}}-message" />
        {{/if}}
      </div>

      <Button @action={{this.submit}} @value={{@value.data.button}} @disabled={{and (not @isEditor) this.disabled}} @defaultName={{this.submitLabel}} @isEditor={{@isEditor}}
          @deviceSize={{@deviceSize}} data-path="{{@path}}.data.button" data-name="{{@value.name}} submit button"
          data-gid={{@value.gid}} data-editor="button" data-type="button" class='btn btn-contact-submit mt-3'
          type='button' />
    {{else}}
      <div class="alert alert-success thank-you-message" role="alert">
        {{this.formLabelSuccess}}
      </div>
    {{/if}}
  </Container>
</div>